Can't Initialize Database

Questions & Problems about Installing or Upgrading with Version 3 phpList.
Forum rules
Please help the volunteers to help you by supplying the version of phpList you are using, browser & version and if possible, a link to your phpList installation.

Can't Initialize Database

Postby amitevski » 10:46am, Thu 21 Aug, 2014

Installed ver. 3.0.7 but when fill up data (name, org. name,e-mail and password) and click continue it just flashes and nothing happens. Name and org. name stays filled.

Does anyone have clue where could be the problem?

OS:CentOS 6.5
MYSQL 5.5.3
amitevski
phpList newbie
 
Posts: 4
Joined: 8:37am, Thu 21 Aug, 2014

Re: Can't Initialize Database

Postby Dragonrider » 8:27am, Mon 25 Aug, 2014

Any chance of a screenshot please? As they say, a picture is worth a 1000 words.

I'm just not sure where you are talking about, sorry.
My sites:- http://wharfedalefestival.co.uk, http://ilkleygardeners.org.uk, http://emergencyaid.net, http://dragonrider.co.uk
Latest phpList version is now 3.0.12 (3 February 2015) and requires a minimum of MySQL 5.0 and PHP 5.3.x
Dragonrider
Moderator
 
Posts: 3460
Joined: 6:58am, Sun 02 Jul, 2006
Location: Ilkley, West Yorkshire, United Kingdom

Re: Can't Initialize Database

Postby amitevski » 11:12am, Thu 28 Aug, 2014

Hi Dragonrider,

I managed to initialize DB after I created DB manually from phplist.sql (although I had to change few characters and comment one row)

I commented
set search_path to phplist;

changed data bytea, to data bit, on 2 places

and changed "user" to name of user who have access to DB on 3 places.

After that i open admin page and logged with admin/phplist although i think it could be anything as in config.php is set $require_login = 0; .

So here is login page print screen where it says version is not up to date ?

And after i change config.php to $require_login = 1; i can't login with admin/phplist.

Is there some other info that could help?
Attachments
login page with $require_login = 1;.jpg
login page with $require_login = 1;.jpg (95.27 KiB) Viewed 3590 times
login page.jpg
login page.jpg (94 KiB) Viewed 3590 times
amitevski
phpList newbie
 
Posts: 4
Joined: 8:37am, Thu 21 Aug, 2014

Re: Can't Initialize Database

Postby Dragonrider » 11:28am, Thu 28 Aug, 2014

Hi, change the $require_login back to 0 so you can login to admin.

Click the upgrade link to update the database and hopefully this will set things straight.
My sites:- http://wharfedalefestival.co.uk, http://ilkleygardeners.org.uk, http://emergencyaid.net, http://dragonrider.co.uk
Latest phpList version is now 3.0.12 (3 February 2015) and requires a minimum of MySQL 5.0 and PHP 5.3.x
Dragonrider
Moderator
 
Posts: 3460
Joined: 6:58am, Sun 02 Jul, 2006
Location: Ilkley, West Yorkshire, United Kingdom

Re: Can't Initialize Database

Postby amitevski » 12:44pm, Thu 28 Aug, 2014

Just wanted to add more info and see you already replied.

I have already done what you suggested and managed to upgrade DB , but again after returning $require_login =1 couldn't login with default admin/phplist.

I tried with manual entry into table phplist_admin and that way it worked.
Is this ok as from application side on long term?
Didn't see in install docs that this should be entered manually.

Is my change on phplist.sql script ok? If yes why isn't correct script in installation package?
amitevski
phpList newbie
 
Posts: 4
Joined: 8:37am, Thu 21 Aug, 2014

Re: Can't Initialize Database

Postby Dragonrider » 3:14pm, Thu 28 Aug, 2014

amitevski wrote:Just wanted to add more info and see you already replied.

I tried with manual entry into table phplist_admin and that way it worked.
Is this ok as from application side on long term?
Didn't see in install docs that this should be entered manually.

Is my change on phplist.sql script ok? If yes why isn't correct script in installation package?

It should not need to be entered manually and I assume you mean amending the phplist_admin via phpMyAdmin?

It's fine to do so, occasionally I find I have to adjust a password via phpMyAdmin, just not something I would recommend to anyone not confident with using phpMyAdmin to directly work on the database, unless a backup is made first, it is very easy to destroy a dtabase if you don't know what you are doing.

The installation package is correct as a rule, I can only think that either something on your installation failed, or your server has something unusual in it's settings, but I'm guessing there.
My sites:- http://wharfedalefestival.co.uk, http://ilkleygardeners.org.uk, http://emergencyaid.net, http://dragonrider.co.uk
Latest phpList version is now 3.0.12 (3 February 2015) and requires a minimum of MySQL 5.0 and PHP 5.3.x
Dragonrider
Moderator
 
Posts: 3460
Joined: 6:58am, Sun 02 Jul, 2006
Location: Ilkley, West Yorkshire, United Kingdom


Return to Installing and Upgrading

Who is online

Users browsing this forum: No registered users and 1 guest

cron